System 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection

This class implements the interface.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This is the default constructor for this class.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Use this method to add an object to an existing collection at the current location.

  Adds an object to the object.

  The index of the added object.

  The object to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method copies an object into an array at the specified location.

  Copies the object into an array.

  The array to copy the object into. The location where the copy operation starts.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of objects in a collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.OidEnumerator

  The class implements the interface, which allows you to move within a collection.

  Returns an object that can be used to navigate the object.

  An object.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This collection is not thread safe.

  Gets a value that indicates whether access to the object is thread safe.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  is not thread safe. Derived classes can provide their own synchronized version of the class using this property. The synchronizing code must perform operations on the property of the object, not directly on the object itself. This ensures proper operation of collections that are derived from other objects. Specifically, it maintains proper synchronization with other threads that might simultaneously be modifying the object.

  Gets an object that can be used to synchronize access to the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method copies an object into an array at the specified location.

  Copies the object into an array.

  The array to copy the object to. The location where the copy operation starts.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  The class implements the interface, which allows you to move within a collection.

  Returns an object that can be used to navigate the object.

  An object that can be used to navigate the collection.